Polaris

Create A New Polaris Thread

POSThttps://api.getcovent.com/api/v1/polaris/threads

Create a new Polaris thread.

How to Call

Use one of the examples below to call this endpoint from your own integration.

curl -X POST "https://api.getcovent.com/api/v1/polaris/threads" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
  "title": "Phoenix buyer follow-up",
  "metadata": {
    "workspace": "phoenix-team",
    "source": "api"
  }
}'

Request

Review headers, parameters, and body fields before calling this endpoint.

AuthorizationstringRequired

Bearer token for the proposed external API contract.

Example: Bearer <API_KEY>
AcceptstringRequired

Response format header.

Example: application/json
Content-TypestringRequired

JSON request body header.

Example: application/json

titlestringRequired

title request field.

Example: Phoenix buyer follow-up
metadataobjectRequired

metadata request field.

Example: {"workspace":"phoenix-team","source":"api"}

Response

200application/json

idstringRequired

id response field.

Example: thread_123
titlestringRequired

title response field.

Example: Phoenix buyer follow-up
metadataobjectRequired

metadata response field.

Example: {"workspace":"phoenix-team","source":"api"}
last_message_atnullRequired

last_message_at response field.

Example: null
created_atstringRequired

created_at response field.

Example: 2026-04-17T20:00:00Z

Response Example

{
  "id": "thread_123",
  "title": "Phoenix buyer follow-up",
  "metadata": {
    "workspace": "phoenix-team",
    "source": "api"
  },
  "last_message_at": null,
  "created_at": "2026-04-17T20:00:00Z"
}